kde-guidance mountconfig has unneeded call to kdedesigner

Bug #197867 reported by Scott Kitterman on 2008-03-03
2
Affects Status Importance Assigned to Milestone
eric (Ubuntu)
Low
Scott Kitterman
kde-guidance (Ubuntu)
Medium
Scott Kitterman
python-kde3 (Ubuntu)
Medium
Unassigned
python-qt3 (Ubuntu)
Medium
Scott Kitterman

Bug Description

Binary package hint: kde-guidance

In mountconfig/fuser.py it imports kdedesigner, but never uses it. As a result, if pyqtconfig is not available, it will crash. To work around this problem, Kubuntu moved pyqtconfig from python-qt-dev to python-qt3. This causes packages that build depend on python-qt-dev, but not python-qt3 that need pyqtconfig to FTBFS (Eric is an example of this).

This is kde-guidance problem and the Py QT3 work around is known to affect python-kde3 and Eric. Packages that build-dep on python-kde3 in Kubuntu should be checked:

urces
gdebi
kde-guidance
update-manager
kde-hal-device-manager

Scott Kitterman (kitterman) wrote :

Test package for mountconfig available in my PPA:

https://launchpad.net/~kitterman/+archive

Worked for nixternal and me.

Changed in kde-guidance:
assignee: nobody → kitterman
importance: Undecided → Medium
status: New → In Progress
Changed in python-qt3:
assignee: nobody → kitterman
status: New → In Progress
importance: Undecided → Medium
Changed in eric:
assignee: nobody → kitterman
importance: Undecided → Low
status: New → In Progress
Changed in kde-guidance:
milestone: none → ubuntu-8.04-beta
Changed in python-qt3:
milestone: none → ubuntu-8.04-beta
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kde-guidance - 0.8.0svn20080103-0ubuntu3

---------------
kde-guidance (0.8.0svn20080103-0ubuntu3) hardy; urgency=low

  * Add Add kubuntu_09_mountconfig_no_extensions.patch to remove uneeded call
    to pykdeextensions in mountconfig so that pyqt3 no longer needs to be
    patched to provide -dev files in the regular package (LP: #197867)
  * Add kubuntu_10_displayconfig_tryagain.patch so that if displayconfig
    thinks a proprietary driver is installed, but it can't find it, it
    will try to find a non-proprietary driver instead of crashing (LP: #198269)
  * Add kubuntu_11_wineconfg_amd64.patch so that wineconfig looks in the right
    dir for wine on AMD64 (LP: #151982) - Patch should be removed for the next
    svn snapshot or release as a fix has been committed upstream already
  * Add kubuntu_12_powermanager_survive_no_brightness.patch so that if the old
    brightness cannot be gotten from DBUS, powermanager won't crash
    (LP: #183656) and (LP: #198071)
  * Add kununtu_13_displayconfig_add_new_monitors.patch to update MonitorsDB
    with a upstream snapshot of MonitorsDB from hwdata (LP: #192899)

 -- Scott Kitterman <email address hidden> Sun, 09 Mar 2008 19:53:42 -0400

Changed in kde-guidance:
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python-qt3 - 3.17.4-1ubuntu2

---------------
python-qt3 (3.17.4-1ubuntu2) hardy; urgency=low

  * Revert Kubuntu specific pyqtconfig.py package changes since mountconfig has
    been patched to no longer require it - No remaining Kubuntu specific
    changes (LP: #197867)

 -- Scott Kitterman <email address hidden> Mon, 10 Mar 2008 12:30:53 -0400

Changed in python-qt3:
status: In Progress → Fix Released
description: updated
Changed in python-kde3:
importance: Undecided → Medium
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python-kde3 - 3.16.0-4ubuntu3

---------------
python-kde3 (3.16.0-4ubuntu3) hardy; urgency=low

  * Remove build-dep on python-qt3 - No longer needed because pyqtconfig is
    back in python-qt-dev (LP: #197867)

 -- Scott Kitterman <email address hidden> Wed, 12 Mar 2008 16:46:05 -0400

Changed in python-kde3:
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package eric - 4.0.4-1ubuntu2

---------------
eric (4.0.4-1ubuntu2) hardy; urgency=low

  * Remove obsolete python-xml recommends (LP: #199014)
  * Remove python-qt3 build-dep since pyqtconfig is back in python-qt-dev
    (LP: #197867)

 -- Scott Kitterman <email address hidden> Wed, 12 Mar 2008 00:06:03 -0400

Changed in eric:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers